
package de.ivu.elect.presentation.kandidatur.action;

import de.ivu.elect.business.kandidatur.entity.KandidaturStatus;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class ListenkandidaturZulassungAblehnenAction extends AbstractListenkandidaturZulassungAction {

  private static final long serialVersionUID = 1L;

  public ListenkandidaturZulassungAblehnenAction() {
    super();
  }

  @Override
  public UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_ABLEHNEN;
  }

  @Override
  public boolean isDisabledInternal(Listenkandidatur listenkandidatur, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungAblehnenZulaessig(listenkandidatur);
  }

  @Override
  public KandidaturStatus getKandidaturStatus() {
    return KandidaturStatus.NICHT_ZUGELASSEN;
  }

  @Override
  public String getLabelKey() {
    return "listenkandidatur.search.action.nicht.zulassen";
  }
}
